import { VNode } from "vue";
declare type align = "left" | "center" | "right";
interface renderParam<TableData> {
    row: TableData;
    column: TableColumns<TableData>;
    index: number;
}
export interface TableColumns<TableData> {
    /**列头名字 */
    title?: string;
    /**列字段 */
    key?: string;
    /**对齐方式*/
    align?: align;
    /**列宽 */
    width?: number;
    /**自定义渲染,类似vue的render函数 */
    render?: (param: renderParam<TableData>) => JSX.Element | string | number | VNode;
    /**列class */
    className?: string;
    /**单元格class */
    cellClassName?: string;
    /**表头单元格class */
    cellHeaderClassName?: string;
}
export {};
